Xeonr Developer Docs

Rotate S3 access key secret

POST
/uplim.api.v1.S3CredentialsService/RotateS3Credential

Generates a replacement secret for the key. The previous secret is invalidated immediately and the new one is returned exactly once.

AuthorizationBearer <token>

JWT access token obtained via OAuth2 flow or service account

In: header

Header Parameters

Connect-Protocol-Version*number

Define the version of the Connect protocol

Value in1
Connect-Timeout-Ms?number

Define the timeout, in ms

Request Body

application/json

id?string
Formatuuid
[key: string]?never

Response Body

application/json

application/json

curl -X POST "https://uploads-api.xeonr.io/uplim.api.v1.S3CredentialsService/RotateS3Credential" \  -H "Connect-Protocol-Version: 1" \  -H "Content-Type: application/json" \  -d '{}'
{
  "credential": {
    "id": "string",
    "accessKeyId": "string",
    "label": "string",
    "grants": [
      {
        "bucketId": 0,
        "level": "BUCKET_PERMISSION_LEVEL_UNSPECIFIED"
      }
    ],
    "disabled": true,
    "createdAt": "2023-01-15T01:30:15.01Z",
    "lastUsedAt": "2023-01-15T01:30:15.01Z",
    "ownerTeam": "string",
    "ownerTeamSlug": "string",
    "createdByUserId": "string"
  },
  "secretAccessKey": "string"
}
{
  "code": "not_found",
  "message": "string",
  "details": [
    {
      "type": "string",
      "value": "string",
      "debug": {}
    }
  ]
}